<?php
/**
 * Project infos plugin for ViewGit.
 *
 * This add project infos on summary page.
 *
 * @author Benjamin Renard <brenard@easter-eggs.com>
 */
class ProjectInfosPlugin extends VGPlugin
{
	function __construct() {
		$this->register_hook('header');
		$this->register_hook('summary');
	}

	function hook_summary() {
		global $page;
		$page['project_infos']=get_project_info($page['project']);
		if (isset($page['project_infos']['url']) && !is_array($page['project_infos']['url'])) {
			$page['project_infos']['url']=array($page['project_infos']['url']);
		}
		$this->display_plugin_template('summary', FALSE);
	}

	function hook($type) {
		global $conf;
                if ($type == 'header') {
                        echo "\t<link rel='stylesheet' href='plugins/projectinfos/style.css' type='text/css' />\n";
                }
		elseif ($type == 'summary') {
			$this -> hook_summary();
		}
	}
}
